org.codehaus.groovy.runtime.callsite

## Class PogoInterceptableSite

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.AbstractCallSite
  - - org.codehaus.groovy.runtime.callsite.PogoInterceptableSite

- All Implemented Interfaces:
    CallSite

      public class PogoInterceptableSite
      extends AbstractCallSite

  Call site for GroovyInterceptable

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PogoInterceptableSite(CallSite site)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object[] args)`
    `java.lang.Object` | `callCurrent(GroovyObject receiver, java.lang.Object[] args)`
    `java.lang.Object` | `invoke(java.lang.Object receiver, java.lang.Object[] args)`

    - ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PogoInterceptableSite

          public PogoInterceptableSite(CallSite site)

  - ### Method Detail

    - #### invoke

          public final java.lang.Object invoke(java.lang.Object receiver,
                                java.lang.Object[] args)
                                        throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### call

          public final java.lang.Object call(java.lang.Object receiver,
                              java.lang.Object[] args)
                                      throws java.lang.Throwable

      Specified by:
        `call` in interface `CallSite`
      Overrides:
        `call` in class `AbstractCallSite`
      Throws:
        `java.lang.Throwable`

    - #### callCurrent

          public java.lang.Object callCurrent(GroovyObject receiver,
                                     java.lang.Object[] args)
                                       throws java.lang.Throwable

      Specified by:
        `callCurrent` in interface `CallSite`
      Overrides:
        `callCurrent` in class `AbstractCallSite`
      Throws:
        `java.lang.Throwable`